Subject: Re: [Geopriv] [geopriv] rfc3825bis #44 (closed): Jari's DISCUSS

From: "geopriv issue tracker" <[email-masked]>
Date: Wed, 26 Jan 2011 00:07:56 -0000

#44: Jari's DISCUSS

Changes (by bernard_aboba@…):

  * status:  new => closed
  * resolution:  => fixed

Comment:

 To address the concern bout clamping versus ignoring potential invalid
 lat/long values, the proposal is to replace the text of Section 2.3 with
 the following:

 2.3.  Latitude and Longitude Fields

    The Latitude and Longitude values in this specification are encoded
    as 34 bit, twos complement, fixed point values with 9 integer bits
    and 25 fractional bits.  The exact meaning of these values is
    determined by the datum; the description in this section applies to
    the datums defined in this document.  This document uses the same
    definition for all datums it specifies.

    When encoding, Latitude and Longitude values are rounded to the
    nearest 34-bit binary representation.  This imprecision is considered
    acceptable for the purposes to which this form is intended to be
    applied and is ignored when decoding.

    Positive latitudes are north of the equator and negative latitudes
    are south of the equator.  Positive longitudes are east of the Prime
    Meridian (Greenwich) and negative (2s complement) longitudes are west
    of the Prime Meridian.

    Within the coordinate reference systems defined in this document
    (Datum values 1-3), longitude values outside the range of -180 to 180
    decimal degrees or latitude values outside the range of -90 to 90
    degrees MUST be considered invalid.  Server implementations SHOULD
    prevent the entry of invalid values within the selected coordinate
    reference system.  Location consumers MUST ignore invalid location
    coordinates and SHOULD log invalid location errors.

-- 
---------------------------------------+------------------------------------
 Reporter:  bernard_aboba@…            |        Owner:  bernard_aboba@…           
     Type:  defect                     |       Status:  closed                    
 Priority:  blocker                    |    Milestone:  draft-ietf-geopriv-3825bis
Component:  rfc3825bis                 |      Version:  1.0                       
 Severity:  Submitted WG Document      |   Resolution:  fixed                     
 Keywords:                             |  
---------------------------------------+------------------------------------

Ticket URL: <http://wiki.tools.ietf.org/wg/geopriv/trac/ticket/44#comment:2>
geopriv <http://tools.ietf.org/geopriv/>